Name:           perl-Apache-Session
Version:        1.88
Release:        2%{?dist}
Summary:        Persistence framework for session data
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Apache-Session/
Source0:        http://www.cpan.org/authors/id/C/CH/CHORNY/Apache-Session-%{version}.zip
# https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=118577, from Chris Grau
Patch0:         Apache-Session-mp2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Deep) >= 0.082
BuildRequires:  perl(Test::Exception) >= 0.15
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Apache::Session is a persistence framework which is particularly useful for
tracking session data between httpd requests. Apache::Session is designed
to work with Apache and mod_perl, but it should work under CGI and other
web servers, and it also works outside of a web server altogether.

%prep
%setup -q -n Apache-Session-%{version}
%patch0 -p0

perl -pi -e 's/\r\n/\n/g' *.txt

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES Contributing.txt README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.88-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 04 2009 Steven Pritchard <steve@kspei.com> 1.88-1
- Update to 1.88.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.87-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Steven Pritchard <steve@kspei.com> 1.87-1
- Update to 1.87.
- Explicitly BR Test::More.
- Get rid of DOS line endings in Contributing.txt.

* Tue Feb 05 2008 Steven Pritchard <steve@kspei.com> 1.86-1
- Update to 1.86.

* Sat Feb 02 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.85-2
- rebuild for new perl

* Mon Jan 07 2008 Steven Pritchard <steve@kspei.com> 1.85-1
- Update to 1.85.
- BR Test::Pod.

* Mon Oct 15 2007 Steven Pritchard <steve@kspei.com> 1.84-1
- Update to 1.84.
- License changed to GPL+ or Artistic.
- Package Contributing.txt doc.

* Mon May 28 2007 Steven Pritchard <steve@kspei.com> 1.83-1
- Update to 1.83.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 1.82-2
- BR ExtUtils::MakeMaker.

* Thu Feb 22 2007 Steven Pritchard <steve@kspei.com> 1.82-1
- Update to 1.82.
- Use fixperms macro instead of our own chmod incantation.
- Minor spec cleanup to more closely resemble current cpanspec output.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 1.81-2
- Fix find option order.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 1.81-1
- Update to 1.81.

* Tue Apr 11 2006 Steven Pritchard <steve@kspei.com> 1.80-1
- Update to 1.80.
- Spec cleanup.

* Thu Sep 08 2005 Steven Pritchard <steve@kspei.com> 1.6-2
- Add patch for mod_perl2 compatibility from Chris Grau (#167753, comment #3).
- Re-enable "make test".

* Wed Aug 31 2005 Steven Pritchard <steve@kspei.com> 1.6-1
- Specfile autogenerated.
